package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ym.mec.biz.dal.entity.ImLiveBroadcastRoomMember;
import com.ym.mec.biz.dal.vo.ImLiveBroadcastRoomMemberVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 直播间人员关系表(ImLiveBroadcastRoomMember)表数据库访问层
 *
 * @author hgw
 * @since 2022-02-21 14:26:58
 */
public interface ImLiveBroadcastRoomMemberDao extends BaseMapper<ImLiveBroadcastRoomMember> {

    int insertBatch(@Param("entities") List<ImLiveBroadcastRoomMember> entities);

    IPage<ImLiveBroadcastRoomMemberVo> queryMemberPage(Page<ImLiveBroadcastRoomMemberVo> page, @Param("param") Map<String, Object> param);

}

