package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class OperatingReportNew {

    @ApiModelProperty(value="负责人")
    private String principal;

    @ApiModelProperty(value="城市")
    private String organName;

    @ApiModelProperty(value="销售收入")
    //计算当月分润的销售收入
    private BigDecimal saleAmount;

    @ApiModelProperty(value="服务收入")
    private BigDecimal serviceAmount;

    //后台商品退费需要添加到退费列表
    @ApiModelProperty(value="业务退费")
    private BigDecimal businessRefund;

    @ApiModelProperty(value="收入合计")
    private BigDecimal totalIncome;

    @ApiModelProperty(value="销售成本")
    private BigDecimal saleCost;

    @ApiModelProperty(value="固定费用")
    private BigDecimal fixedCosts;

    @ApiModelProperty(value="变动费用")
    private BigDecimal variableCosts;

    @ApiModelProperty(value="内部结算")
    private BigDecimal internalSettlement;

    @ApiModelProperty(value="成本费用合计")
    private BigDecimal totalCost;

    @ApiModelProperty(value="准可自由支配利润")
    private BigDecimal quasiDiscretionaryProfit;

    @ApiModelProperty(value="预收账款")
    private BigDecimal prepaidFee;

    @ApiModelProperty(value="预付账款")
    private BigDecimal prepayments;

    @ApiModelProperty(value="应收账款")
    private BigDecimal receivables;

    @ApiModelProperty(value="应付账款")
    private BigDecimal payable;

    public String getPrincipal() {
        return principal;
    }

    public void setPrincipal(String principal) {
        this.principal = principal;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public BigDecimal getSaleAmount() {
        return saleAmount;
    }

    public void setSaleAmount(BigDecimal saleAmount) {
        this.saleAmount = saleAmount;
    }

    public BigDecimal getServiceAmount() {
        return serviceAmount;
    }

    public void setServiceAmount(BigDecimal serviceAmount) {
        this.serviceAmount = serviceAmount;
    }

    public BigDecimal getBusinessRefund() {
        return businessRefund;
    }

    public void setBusinessRefund(BigDecimal businessRefund) {
        this.businessRefund = businessRefund;
    }

    public BigDecimal getTotalIncome() {
        return totalIncome;
    }

    public void setTotalIncome(BigDecimal totalIncome) {
        this.totalIncome = totalIncome;
    }

    public BigDecimal getSaleCost() {
        return saleCost;
    }

    public void setSaleCost(BigDecimal saleCost) {
        this.saleCost = saleCost;
    }

    public BigDecimal getFixedCosts() {
        return fixedCosts;
    }

    public void setFixedCosts(BigDecimal fixedCosts) {
        this.fixedCosts = fixedCosts;
    }

    public BigDecimal getVariableCosts() {
        return variableCosts;
    }

    public void setVariableCosts(BigDecimal variableCosts) {
        this.variableCosts = variableCosts;
    }

    public BigDecimal getInternalSettlement() {
        return internalSettlement;
    }

    public void setInternalSettlement(BigDecimal internalSettlement) {
        this.internalSettlement = internalSettlement;
    }

    public BigDecimal getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(BigDecimal totalCost) {
        this.totalCost = totalCost;
    }

    public BigDecimal getQuasiDiscretionaryProfit() {
        return quasiDiscretionaryProfit;
    }

    public void setQuasiDiscretionaryProfit(BigDecimal quasiDiscretionaryProfit) {
        this.quasiDiscretionaryProfit = quasiDiscretionaryProfit;
    }

    public BigDecimal getPrepaidFee() {
        return prepaidFee;
    }

    public void setPrepaidFee(BigDecimal prepaidFee) {
        this.prepaidFee = prepaidFee;
    }

    public BigDecimal getPrepayments() {
        return prepayments;
    }

    public void setPrepayments(BigDecimal prepayments) {
        this.prepayments = prepayments;
    }

    public BigDecimal getReceivables() {
        return receivables;
    }

    public void setReceivables(BigDecimal receivables) {
        this.receivables = receivables;
    }

    public BigDecimal getPayable() {
        return payable;
    }

    public void setPayable(BigDecimal payable) {
        this.payable = payable;
    }
}